import React from "react"
import { AppData } from "../../context/data"

export default function OfflineToggle() {
    const [appData, dispatchData] = React.useContext(AppData)

    return <div className="OfflineToggle">
        <button onClick={() => dispatchData({type: "toggleOfflineMode"})}>
            { appData.offlineMode === true ? "offline" : "online" }
        </button>
        </div>
}
